Hardware version v2.1 needs a firmware version 1.8.5.1K or higher!
You can find the how to on the firmware flash instruction page.
Note: flash firmware is at your own risk!

Original for CN hardware

1.8.5.1B_201513211614
1.8.5.1H_201505211709
1.8.5.1J_201507201424
1.8.5.1K_201508311131
1.8.5.1L_201506291725
1.8.5.1M_201512011815
1.8.5.1N_201512212009
1.8.6.1A_201602241619
1.8.6.1B_201603181307

Original for international hardware

1.8.5.1N_201601071352

Modified for CN hardware

Additional features are added to this firmwares (RTSP, FTP, telnet, timezone, …)
How to use the different additional features is described on the instruction page.

1.8.5.1B_rtsp
1.8.5.1J_easy_boot
1.8.5.1K_rtspfix-v3
1.8.5.1L_rtspfix-v3
1.8.5.1M_rtspfix-v4
1.8.6.1B_rtspfix